Skip to content
Sendtier Docs
API reference

Get an active API key

Source: OpenAPI (openapi/openapi.yaml).

curl -X GET "https://api.sendtier.example/api-keys/string" \  -H "Authorization: Bearer st_live_REPLACE_ME"
{  "id": "string",  "name": "string",  "mode": "live",  "scope": "full",  "prefix": "string",  "created_at": "2019-08-24T14:15:22Z",  "last_used_at": "2019-08-24T14:15:22Z"}
GET
/api-keys/{key_id}

Requires a full-scope key.

Authorization

headerAuthorizationBearer <token>

API key: st_live_... or st_test_...

Path Parameters

key_id*string

Response Body

API key metadata without the secret.

application/json
  1. response
id*string
name*string
mode*string
Value in"live""test"
scope*string
Value in"full""sending""domain""read_only"
prefix*string

Stored lookup prefix, not the full secret.

created_at*string
Formatdate-time
last_used_at?string
Formatdate-time